---
title: List all Workflows
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Workflows](https://developers.cloudflare.com/api/python/resources/workflows)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List all Workflows

workflows.list(WorkflowListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[WorkflowListResponse](<https://developers.cloudflare.com/api/python/resources/workflows#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)>)]

GET/accounts/{account\_id}/workflows

Lists all workflows configured for the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Tail Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

page: Optional\[float]

minimum1

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page%20%3E%20(schema)>)

per\_page: Optional\[float]

maximum100

minimum1

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

search: Optional\[str]

Allows filtering workflows\` name.

maxLength64

minLength1

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20search%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class WorkflowListResponse: …

</summary>

id: str

formatuuid

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

class\_name: str

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20class_name">Link to this property</a>

created\_on: datetime

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

instances: Dict\[str, float]

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20instances">Link to this property</a>

modified\_on: datetime

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

name: str

maxLength64

minLength1

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

script\_name: str

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20script_name">Link to this property</a>

triggered\_on: Optional\[datetime]

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20triggered_on">Link to this property</a>

<details>

<summary>

schedules: Optional\[List\[Schedule]]

</summary>

cron: str

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20schedules%20%3E%20(items)%20%3E%20(property)%20cron">Link to this property</a>

next\_instance: str

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20schedules%20%3E%20(items)%20%3E%20(property)%20next_instance">Link to this property</a>

</details>

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20schedules">Link to this property</a>

script\_deleted: Optional\[bool]

Whether the bound Worker was deleted, leaving this Workflow inactive.

<a href="#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)%20%3E%20(property)%20script_deleted">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows%20%3E%20(model)%20workflow_list_response%20%3E%20(schema)>)

### List all Workflows

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.workflows.list(
    account_id="account_id",
)
page = page.result[0]
print(page.id)
```

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "instances": {
        "foo": 0
      },
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "script_name": "script_name",
      "triggered_on": "2019-12-27T18:11:19.117Z",
      "schedules": [
        {
          "cron": "cron",
          "next_instance": "next_instance"
        }
      ],
      "script_deleted": true
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "instances": {
        "foo": 0
      },
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "script_name": "script_name",
      "triggered_on": "2019-12-27T18:11:19.117Z",
      "schedules": [
        {
          "cron": "cron",
          "next_instance": "next_instance"
        }
      ],
      "script_deleted": true
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```